Subject: Tabs

From: Byron Montgomerie <[email-masked]>
Date: Sat, 12 Jun 1993 22:40:13 -0700

I like tabs for the reason that they formatted programming easier, but the use
of control-i for storing the space info can be improved upon.  I once
implemented an interpreter that had a special token for multiple spaces.  This
was in the days when I was doing stuff on C64's and memory was at a premium.
It let me indent stuff to my hearts content using at most 2 bytes per
indentation and at a known length.  I know tab-characters also save space but
are variable as was mentioned earlier.

________^i________^i for name in (this.things)
______ for name in (this.things)

With tabs, unless you are at a tabstop you have to use extra spaces to format
properly, using a SPACE token the problem doesn't arise. Of course the sheme I
had implemented had a limit of 255 consecutive spaces but since that is larger
than any likely line length it isn't a problem.

The above example becomes: (for both cases)

T#for name in (this.things)

T=space token, #=space character count.

I just thought I would mention it in case anyone was interested in
alternatives.

Byron...
 __________________________________________________________________________
| __  ///    "Byron Montgomerie"  Internet: [email-masked]   __  /// |
| \\\///      "Does anybody here remember Vera Lynn?               \\\///  |
|  \XX/        How she said that we would meet again,               \XX/   |
|  Amiga       some sunny day..." -- Pink Floyd --                 Amiga   |
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~